hostname jenec2
password klfzebra3
enable password klfzebra3
log stdout
!log file /var/log/ospfd.log
!log record-priority
!service advanced-vty
!
interface lo
!
interface dummy0
 description router ip
 ip ospf cost 10
!
interface enp1s0
 description peer jenec
 ip ospf cost 5
 ip ospf dead-interval 60
 ip ospf priority 1
 ip ospf authentication message-digest
 ip ospf message-digest-key 1 md5 eastpass
!
interface vlan114
 description peer visnovka
 ip ospf cost 30
 ip ospf dead-interval 60
 ip ospf priority 1
 ip ospf authentication message-digest
 ip ospf message-digest-key 1 md5 eastpass
!
router ospf
 ospf router-id 10.102.184.129
 redistribute kernel metric 100
!
 passive-interface dummy0
 passive-interface vlan110
 passive-interface vlan111
 passive-interface vlan112
 passive-interface vlan113
!
! PEEROVE SUBNETY NA OKOLNI ROUTERY
!
! enp1s0 peer jenec + switch
 network 10.102.184.200/29 area 5
! vlan114 peer visnovka
 network 10.102.184.208/28 area 5
! ath2 sektor 5g/north
 network 10.102.184.240/28 area 5
! wlan0
  network 10.102.184.0/26 area 5
! wlan1
  network 10.102.184.64/26 area 5
! wlan2
  network 10.102.184.128/26 area 5
! eth0
  network 10.102.184.192/29 area 5
! vlan110
  network 10.102.184.216/29 area 5
! vlan111
  network 10.102.184.224/28 area 5
! vlan112
  network 10.102.238.128/27 area 5
! vlan113
  network 10.102.238.160/27 area 5
!
access-list net-10 permit 10.102.0.0/16
access-list net-10 permit 192.168.0.0/16
access-list net-10 deny 192.168.123.0/24
access-list net-10 deny 192.168.0.0/24
access-list term permit 127.0.0.1/32
access-list term deny any
!
route-map just-10 permit 10
 match ip address net-10
!
line vty
 access-class term
